Subject: RE: [Mip6] I-D ACTION:draft-ietf-mip6-nemo-v4traversal-00.txt

From: "Soliman, Hesham" <[email-masked]>
Date: Tue, 25 Oct 2005 20:01:27 -0400

> > 
 > > => What is the relationship to this discussion? Implementation of 
 > > what?
 > 
 > The relationship to this discussion is that the case where access is
 > v6-only will happen later.  And then some implementor could implement
 > DSMIPv6 and provide feedback such as to improve the DSMIPv6 
 > spec.  Until
 > then it can't, so the spec is incurring risks of not having
 > implementation feedback.

=> You're assuming (wrongly) that this draft is written to only
be used in a v6 access when the MN wants to use a v6 app. This 
is wrong. The draft is written to allow implementers and operators
to use MIPv6 only no matter where they are on the Internet and 
for v6 and v4 apps.

 > > => No I don't agree with that as stated earlier.
 > 
 > So you stated earlier you don't agree with MIP4 managing 
 > IPv4 prefixes?
 >  Or about MIP4 managing IPv4 Home Addresses?

=> Sigh. Alex, I disagreed with not supporting IPv4 home 
addresses in MIPv6. How can I disagree with MIPv4 supporting
IPv4 home addresses. This a fact documented in RFCs. 

 > Do you agree with _anything_ I'm suggesting for that matter?

=> I already agreed with a couple of your suggestions to improve the 
draft. 

 > > => What if some radical app decided to use IPv4?? How can 
 > you exclude
 > >  the v4 apps?
 > 
 > Right, good questions.  Several solutions here.  A mobile 
 > phone may have
 > an IPv4 jvm and IPv4 midlets.  To have that IPv4 midlets transformed
 > into IPv6 midlets it's sufficient to specify the IPv6 http url format
 > and port the jvm to IPv6 (not the app midlet).
 > 
 > Another possibility for another v4 radical app to run over 
 > IPv6 would be
 > to port it to IPv6.

=> Hmm. If you can guarantee this will be done by all CNs on the 
Internet then we can start considering it seriously. Until then,
this is a dream that isn't remotely related to reality.

 > 
 > Another possibility for the v4 radical app to use its IPv4 
 > Home Address
 > over a v4-only access is to use MIP4.

=> I've already addressed this several times.

Hesham

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 26 Oct 2005 12:15:37 +0200

Soliman, Hesham wrote:
>> The relationship to this discussion is that the case where access 
>> is v6-only will happen later.  And then some implementor could 
>> implement DSMIPv6 and provide feedback such as to improve the 
>> DSMIPv6 spec.  Until then it can't, so the spec is incurring risks 
>> of not having implementation feedback.
> 
> => You're assuming (wrongly) that this draft is written to only be 
> used in a v6 access when the MN wants to use a v6 app. This is wrong.
> 
I think my assumption that this draft is written to only be used in a v6
access when the MN wants to use a v6 app was wrong.

> The draft is written to allow implementers and operators to use MIPv6
> only no matter where they are on the Internet and for v6 and v4 apps.

Hesham, that is a hefty goal.  I'd reach lower, do some small modular
parts that would fit in the current landscape, instead of building
entirely new architectures, solutions to everything a customer might
ever need.

In the past, "universal" mobility solutions have had lesser reach than
expected.  For example, real complete local and global mobility
solutions haven't seen widepsread use despite years of discussion
meeting after meeting, mail after mail.

>> So you stated earlier you don't agree with MIP4 managing IPv4 
>> prefixes? Or about MIP4 managing IPv4 Home Addresses?
> 
> => Sigh. Alex, I disagreed with not supporting IPv4 home addresses in
>  MIPv6. How can I disagree with MIPv4 supporting IPv4 home addresses.
>  This a fact documented in RFCs.

So you agree that DSMIPv6 would compete with MIPv4 to offer reachability
at a permanent MIP4 Home Address, when connected to a v4-only network
and v4 app.

>> Right, good questions.  Several solutions here.  A mobile phone may
>>  have an IPv4 jvm and IPv4 midlets.  To have that IPv4 midlets 
>> transformed into IPv6 midlets it's sufficient to specify the IPv6 
>> http url format and port the jvm to IPv6 (not the app midlet).
>> 
>> Another possibility for another v4 radical app to run over IPv6 
>> would be to port it to IPv6.
> 
> Internet then we can start considering it seriously. Until then, this
>  is a dream that isn't remotely related to reality.

I think I see your point.

>> Another possibility for the v4 radical app to use its IPv4 Home 
>> Address over a v4-only access is to use MIP4.
> 

You're right.

Alex